{% load static %}

<!DOCTYPE html>
<html>
<head>
  <title>{% block title %}{% endblock %}</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'orders/styles/app.css' %}"/>
  <script src="{% static 'orders/scripts/app.js' %}"></script>
  <script>
  var csrf_token = '{{csrf_token}}';
  </script>
</head>
<body class="{% block bodyclass %}{% endblock %}">
  <div id="backdrop"></div>
  <header>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container">
        <a class="navbar-brand" href="#">Project3: Pizza</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
              <a class="nav-link" href="{% url 'index'%}">Menu</a>
            </li>
            {% if user.is_authenticated %}
            <li  class="nav-item"><a class="nav-link" href="{% url 'tracker' %}">Track your order</a></li>

            {% if user.groups.all.0.name == 'Staff' %}
            <li class="nav-item"><a class="nav-link" href="{% url 'kitchen' %}">Kitchen</a></li>
            {% endif %}
            <li  class="nav-item"><a class="nav-link" href="{% url 'logout'%}">Logout</a></li>
            {% else %}
            <li class="nav-item"><a class="nav-link" href="{% url 'login'%}">Login</a></li>
            <li class="nav-item"><a class="nav-link" href="{% url 'signup'%}">Register</a></li>
            {% endif %}
          </ul>
        </div>
      </div>
    </nav>
    <div class="header container">
      <h1>Pinocchio's Pizza</h1>
      <div class="nose"></div>
      <object type="image/svg+xml" data="{% static 'orders/images/pinocchio.svg' %}">
        <!-- Your fall back here -->
        <img src="{% static 'orders/images/pinocchio.svg' %}" />
      </object>
    </div>
  </header>
  <div class="main container">
    {% block body %}
    {% endblock %}
  </div>
</body>
</html>
